org.appng.cli.commands.subject

## Class CreateSubject

- java.lang.Object
- - org.appng.cli.commands.subject.CreateSubject

- All Implemented Interfaces:
    ExecutableCliCommand

      public class CreateSubject
      extends Object
      implements ExecutableCliCommand

  Creates a subject.

       Usage: appng create-subject [options]
         Options:
           -d
              Description of the user.
              Default:
         * -e
              The e-mail address.
           -h
              Has the password already been hashed using 'hash-pw <password>'?
              Default: false
           -l
              GUI language of the user.
              Default: de
         * -n
              The real name.
         * -p
              The password (The password, mandatory for type LOCAL_USER.).
         * -t
              The type of the user.
              Default: LOCAL_USER
              Possible Values: [LOCAL_USER, GLOBAL_USER, GLOBAL_GROUP]
         * -u
              The user name.

  Author:
    Matthias Herlitzius, Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateSubject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(CliEnvironment cle)` Executes the command.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateSubject

          public CreateSubject()

  - ### Method Detail

    - #### execute

          public void execute(CliEnvironment cle)
                       throws BusinessException

      Description copied from interface: `ExecutableCliCommand`
      Executes the command.
      Specified by:
        `execute` in interface `ExecutableCliCommand`
      Parameters:
        `cle` - the `CliEnvironment` to use
      Throws:
        `BusinessException` - if on error occurs while executing the command

Copyright © 2011–2023 aiticon GmbH. All rights reserved.